Bug 592383 - RHEL5.5 bnx2i driver doesn't recognize BCM5716 as iSCSI offload adapter
RHEL5.5 bnx2i driver doesn't recognize BCM5716 as iSCSI offload adapter
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Mike Christie
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 13:51 EDT by Shyam Iyer
Modified: 2015-04-28 00:18 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 14:35:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shyam Iyer 2010-05-14 13:51:30 EDT
Description of problem:
Install RHEL5.5 on PER210 and find that bnx2i(broadcom iscsi offload driver) does not recognize the onboard BCM 5716 nic port that has the iscsi offload functionality.

Version-Release number of selected component (if applicable):
RHEL5.5.
2.6.18-194.el5
iscsi-initiator-utils-6.2.0.871-0.16.el5

How reproducible:
Always

Steps to Reproduce:
1.Install RHEL5.5 
2.yum install iscsi-initiator-utils
3.iscsiadm -m iface output
  
Actual results:
No iface file created
device not recognized by bnx2i

Expected results:
1) bnx2i should recognize the device
2) iscsiadm -m iface should show a default iface configuration.

Additional info:


dmesg snip..

All bugs added by David S. Miller <davem@redhat.com>
cxgb3i: tag itt 0x1fff, 13 bits, age 0xf, 4 bits.
iscsi: registered transport (cxgb3i)
Broadcom NetXtreme II CNIC Driver cnic v2.1.0 (Oct 10, 2009)
cnic: Added CNIC device: eth0
cnic: Added CNIC device: eth1
Broadcom NetXtreme II iSCSI Driver bnx2i v2.1.0 (Dec 06, 2009)
iscsi: registered transport (bnx2i)
bnx2i: unknown device, 0x163b
scsi7 : Broadcom Offload iSCSI Initiator
bnx2i: unknown device, 0x163b
scsi8 : Broadcom Offload iSCSI Initiator
iscsi: registered transport (tcp)
iscsi: registered transport (iser)
iscsi: registered transport (be2iscsi)
Comment 3 Eddie Wai 2010-08-09 11:44:23 EDT
Hello Shyam,

BCM5716 is not an iSCSI offload capable device.  It is distributed as a L2 only nic.

Eddie
Comment 4 Shyam Iyer 2010-08-17 14:35:48 EDT
Closing based on Comment #3

Note You need to log in before you can comment on or make changes to this bug.